Add ability to select projects to add tracker for

2009-01-25 16:19 - Kevin Menard

Status: Closed Start date: 2009-01-25

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed   

Description

The whole matter of adding a new tracker is overly complex, IMHO.  It wasn't until I found the FAQ entry that I realized how to do it.

The core problem is that the trackers are added at the global level, but then need to be added again at the project level.  The UI for

the latter portion is also rather hard to find.  While I can appreciate that each project can override global settings, in this particular

case, I'd expect the global setting to push through to each project and then disable on the projects which I don't want it on.  I haven't

come up with a case where anyone would want to do that, but I'd imagine some exist.  I'd expect them to be the exception rather

than the rule.

If the intention is to keep the current approach, then it'd be nice to have a list of checkboxes for each project to enable the tracker for

from the tracker UI.  This would save an administrator from having to go to n different projects to update their settings.

Related issues:

Has duplicate Redmine - Feature #3481: Allow tracker to projects assignment o... Closed 2009-06-11

Associated revisions

Revision 2335 - 2009-01-29 15:22 - Jean-Philippe Lang

Adds projects association on tracker form (#2578).

History

#1 - 2009-01-26 17:29 - Rocco Stanzione

+1, and I'd like to add that other lists, in particular custom fields that are lists, should also be customizable at the project level.

#2 - 2009-01-29 15:19 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

Original request done in r2335.

When adding/editing a tracker, you are now able to select associated projects.
